textures/geit/red_glass
{
	qer_editorimage textures/geit/red_glassfx.tga
	qer_trans 0.6
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/geit/red_glassfx.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/geit/killsky_dim
{
	qer_editorimage textures/skies/killsky_1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 1 0.2 0.2 70 315 65
//	q3map_sun 3 2 2 70 315 65
	q3map_surfacelight 75
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/geit/lava_dim
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 30
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
       
}

textures/geit/red_baslt4_1_2k
{
	qer_editorimage textures/geit/red_baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/geit/red_baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/geit/red_baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/geit/red_fireswirl
{ 
	qer_editorimage textures/sfx/fireswirl2.tga
        cull disable	
        surfaceparm nomarks
        surfaceparm trans
        {
		map textures/sfx/proto_zzzt.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                tcmod rotate 211
//                tcmod rotate -211
                rgbGen identity
        }
}

textures/geit/proto_zzztred
{
	qer_editorimage textures/sfx/proto_zzzt.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzzt.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/geit/red_zap_scroll
{
	qer_editorimage textures/sfx/electricslime_old.tga
        q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		Map textures/sfx/electricslime_old.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/sfx/electricslime_old.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
}

//Evil Lair Shader
textures/evil5_floor/contekfllr 
{
   	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm nomarks	
	surfaceparm metalsteps 
	cull none 

	{ 
		map textures/evil5_floor/contekfllr.tga   
		alphaFunc GE128 
		depthWrite 
	} 
	{ 
		map $lightmap 
		blendFunc filter
		depthFunc equal 
	} 
} 

//Evil Lair Shader
textures/evil5_trim/trim_light_drkrst 
{ 
	q3map_surfacelight 100  

	{ 
		map textures/evil5_trim/trim_light_drkrst.tga 
	} 
	{ 
		map $lightmap 
		blendfunc filter 
	}   
	{ 
		map textures/evil5_trim/trim_light_drkrst_glow.tga 
		blendFunc add	 
		rgbGen wave sin .5 .5 0 1	 
	}     
}   